document.addEventListener('DOMContentLoaded', function() {
    // Mobile menu toggle
    const menuToggle = document.querySelector('.menu-toggle');
    const navLinks = document.querySelector('.nav-links');
    
    menuToggle.addEventListener('click', () => {
        navLinks.classList.toggle('active');
    });

    // Smooth scroll for navigation links
    document.querySelectorAll('a[href^="#"]').forEach(anchor => {
        anchor.addEventListener('click', function (e) {
            e.preventDefault();
            document.querySelector(this.getAttribute('href')).scrollIntoView({
                behavior: 'smooth'
            });
        });
    });

    // Simulate loading stats
    const stats = {
        marketCap: '$5.2B',
        totalSupply: '5.2B DAI',
        holders: '250,000+'
    };

    setTimeout(() => {
        document.getElementById('marketCap').textContent = stats.marketCap;
        document.getElementById('totalSupply').textContent = stats.totalSupply;
        document.getElementById('holders').textContent = stats.holders;
    }, 1000);

    // Price ticker animation
    const price = document.querySelector('.price');
    setInterval(() => {
        const random = (Math.random() * 0.002 - 0.001);
        const newPrice = (1 + random).toFixed(3);
        price.textContent = newPrice;
    }, 3000);

    // Intersection Observer for animations
    const observer = new IntersectionObserver((entries) => {
        entries.forEach(entry => {
            if (entry.isIntersecting) {
                entry.target.classList.add('visible');
            }
        });
    });

    document.querySelectorAll('.feature, .stat-card').forEach((el) => observer.observe(el));
});
